Bug 458136 - Create password protected .zip file
Create password protected .zip file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: file-roller (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-06 12:31 EDT by Pedro Silva
Modified: 2010-06-28 06:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Silva 2008-08-06 12:31:47 EDT
Description of problem:

I'm trying to create a password-protected .zip file. Although I use the menu option Edit -> Password, enter a password and press OK, the .zip file remains unprotected.

Version-Release number of selected component (if applicable):

file-roller-2.22.4-1.fc9.i386

How reproducible:

Open file-roller.
Press New button.
Type the filename and select .zip from file type list.
Add a file to your filename.zip.
Use menu option Edit -> Password, type a password and press OK.
Close file-roller.
Open filename.zip with file-roller or unzip, no password asked.
Comment 1 Kevin 2008-08-16 21:57:42 EDT
Its a very bad implementation but you actually have to enable the password BEFORE adding the files. This isn't overly clear and doesn't make much sense - but it does work.

I have verified that with rar or zip if you set passwords after adding your files, they do not take effect. If you set the password first, all is well.

Assigning bug as this is really bad from a usability point of view and should be fixed.
Comment 2 Bug Zapper 2010-04-27 08:11:02 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 06:42:29 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.